    APPMAN(1)                        User Commands                       APPMAN(1)

    NAME
           appman - Appweb manager

    SYNOPSIS
           appman [options] [commands]
                  [--args arguments] [--console] [--daemon] [--heartBeat interval]
                  [--home directory] [--log logFile:level]

    DESCRIPTION
           The appman program is used to configure the running of Appweb as a sys-
           tem  service  (daemon).  Appman provides a generic way to install/unin-
           stall, enable/disable, start/stop, and run the Appweb service,  regard-
           less of the operating system. When used to run Appweb, it starts Appweb
           and then watches over Appweb, to restart it should Appweb fail.  Appman
           also  provides  general  management commands to enable, disable, start,
           and stop appweb.

    COMMANDS
           disable
                  Disable Appweb from automatically starting when  the  system  is
                  booted.

           enable Enable Appweb to start automatically on system boot.

           install
                  Install Appweb as a service.

           run    Run  Appweb and monitor its execution. Appman will automatically
                  restart Appweb should it fail. Appman will block  unless  it  is
                  invoked with --daemon.

           start  Start Appweb manually.

           stop   Stop Appweb.

           uninstall
                  Uninstall Appweb as a service.

    OPTIONS
           --args arguments
                  Arguments  to  use  for the service program command line when it
                  starts.

           --console
                  Windows specific option to allow the manager process to interact
                  with the users desktop.

           --daemon
                  Run  the manager as a daemon process. This causes the manager to
                  detach from the current shell and run in the background.

           --heartBeat interval
                  Windows specific option to set the frequency in seconds for  the
                  manager to check on service.  This period should be short enough
                  that the service will be quickly restarted should it  fail,  but
                  not  so  short that the manager process consumes significant CPU
                  resources.  If the service dies more than 30 times per hour, the
                  manager will suspend restarting the service.

           --home directory
                  Set the home directory in which to start the service.

           --log logFile:level
                  Specify  a  file  to  use  for  log messages. The level argument
                  defines the message verbosity. Zero is the least and  9  is  the
                  most verbose.

           --retries count
                  Number of times to restart Appweb per hour.

           -v     Output the product version number.

    REPORTING BUGS
           Report bugs to <dev@embedthis.com>.

    COPYRIGHT
           Copyright (C) 2003-2013 Embedthis Software.

    SEE ALSO
           appweb

    appman                           November 2013                       APPMAN(1)